# Quotes API
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/transaction-apis/quotes-api/index.md

Alert: If you are a Customer contracted with MTS EU or MTS UK, refer to the corresponding EU and UK specification inside the swagger file to ensure compliance with the relevant jurisdiction based Regulatory Technical Standards (either EU or UK) derived from the revised Payment Services Directive (PSD2).

Calculates for **configured service corridors** , the amount Senders should fund or Recipients will receive for a payment, depending on the Transaction Instruction.  

* The calculation uses the applicable Mastercard FX Rate and Mastercard Transaction Fees to determine the Settlement Amount.  
* A Quote response is informational only and does not initiate the movement of funds.  
* A Proposal ID returned with a Quote can be associated with a Payment to ensure the information obtained with the Quote is utilized for the Payment Transaction.

<br />

If you opt-in for Quote confirmation suite, you will receive 'ConfirmationExpiry time' in the API response.  

See [Payment with Quote](https://developer.mastercard.com/cross-border-services/documentation/use-cases/payment-with-quote/index.md) to understand how you can use Quote API with a payment transaction.

## Environment Domains {#environment-domains}

Tip: **Sandbox** and **MTF** environments share the same url but are differentiated by partner id.
* Sandbox/MTF
* Sandbox-EU
* Sandbox-UK
* MTF-EU
* MTF-UK
* Production
* Production-EU
* Production-UK

```Sandbox/MTF
https://sandbox.api.mastercard.com/send/v1/partners/{partner-id}/crossborder/quotes
```

```Sandbox-EU
https://sandbox.api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder/quotes
```

```Sandbox-UK
https://sandbox.api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder/quotes
```

```MTF-EU
https://mtf.api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder/quotes
```

```MTF-UK
https://mtf.api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder/quotes
```

```Production
https://api.mastercard.com/send/v1/partners/{partner-id}/crossborder/quotes
```

```Production-EU
https://api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder/quotes
```

```Production-UK
https://api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder/quotes
```

## API {#api}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/cross_border-swagger.yaml)

Alternatively, here is a tabular view of the request and response parameter
[Quote_Specifications.pdf](https://static.developer.mastercard.com/content/cross-border-services/uploads/Quote_Specifications.pdf) (1MB).

API Reference: `GET /send/v1/partners/{partner-id}/crossborder/quotes`

* **Formats supported** : XML/ JSON   
* **HTTP Version**: 1.0/ 1.1
* **Required HTTP header parameters** :   
  content-type : Format of the inbound content being submitted. example: application/json   
  content-length: Length of the inbound content body in octets.   
  Accept: Format of the expected response must be provided in this header field. Example - application/json

## API Convention {#api-convention}

Take a look at the [API Conventions](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#api-conventions) for general guidelines.

## Payload Encryption {#payload-encryption}

All the request payload sent by you to Mastercard must be encrypted. And you will need to decrypt the payload sent by Mastercard.  

For more detailed information on payload **Encryption/ Decryption** , see the [Transport Encryption](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#transport-encryption) section.

## Next step {#next-step}

Proceed to [Quotes API: Sandbox Testing](https://developer.mastercard.com/cross-border-services/documentation/testing/quotes-api/index.md) to test the Quotes API in the Sandbox environment.
